## guile-1.8-non-dfsg 1.8.8+1

=== debian/changelog ===
guile-1.8-non-dfsg (1.8.8+1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "guile-1.8-non-dfsg fails to build from source in unstable":
    apply patch from Ubuntu / Matthias Klose: fix dh_autoreconf invocation,
    and rm -f dir file which may or may not be installed.
    (Closes: #639991, LP: #831408)

 -- gregor herrmann <gregoa@debian.org>  Sat, 03 Dec 2011 20:08:26 +0100

guile-1.8-non-dfsg (1.8.8+1-1) unstable; urgency=low

  * Incorporate upstream release 1.8.8.

  * Switch to 3.0 (quilt) source format.

  * Rewrite debian/rules to use "dh $@"; update debian/compat to 8, and
    let dh_auto* handle as much as possible.

  * Rely on autoconf, automake, and dh-autoreconf to handle the build
    infrastructure.

  * Add a homepage field to the control file.
    Thanks to Jordi Mallach <jordi@debian.org> for the suggestion.

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 26 Apr 2011 20:49:18 -0500

guile-1.8-non-dfsg (1.8.7+1-1) unstable; urgency=low

  * Incorporate new upstream stable release.

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 06 Jul 2009 23:35:27 -0700

guile-1.8-non-dfsg (1.8.6+1-1) unstable; urgency=low

  * Incorporate new upstream stable release.

 -- Rob Browning <rlb@defaultvalue.org>  Thu, 09 Apr 2009 20:16:54 -0700

guile-1.8-non-dfsg (1.8.5+1-1) unstable; urgency=medium

  * Incorporate new upstream stable release.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 10 May 2008 12:42:10 -0700

guile-1.8-non-dfsg (1.8.4+1-1) unstable; urgency=low

  * Incorporate new upstream stable release.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 23 Feb 2008 15:02:22 -0800

guile-1.8-non-dfsg (1.8.3+1-1) unstable; urgency=low

  * Incorporate new upstream stable release.

 -- Rob Browning <rlb@defaultvalue.org>  Thu, 22 Nov 2007 10:50:30 -0800

guile-1.8-non-dfsg (1.8.2+1-1) unstable; urgency=low

  * Incorporate new upstream stable release. (closes: #435548)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 25 Aug 2007 15:25:17 -0700

guile-1.8-non-dfsg (1.8.1+1-2) unstable; urgency=low

  * Add build dependency on texinfo.  Thanks to Andreas Jochens.
    (closes: #396901)

 -- Rob Browning <rlb@defaultvalue.org>  Sun,  4 Mar 2007 17:38:57 -0800

guile-1.8-non-dfsg (1.8.1+1-1) unstable; urgency=medium

  * New package: in accordance with the recent General Resolution
    (http://www.debian.org/vote/2006/vote_001), move all non-DFSG files to
    new packages that will be included in Debian's non-free section.

 -- Rob Browning <rlb@defaultvalue.org>  Sun,  8 Oct 2006 19:21:48 -0700
