=== debian/control ===
Source: guile-1.8-non-dfsg
Section: non-free/interpreters
Priority: optional
Maintainer: Rob Browning <rlb@defaultvalue.org>
Build-Depends: debhelper (>= 8), quilt, autoconf, automake, dh-autoreconf,
 texinfo, guile-1.8-dev
Standards-Version: 3.2.1.0
Homepage: http://www.gnu.org/software/guile/

Package: guile-1.8-doc-non-dfsg
Architecture: all
Section: non-free/doc
Depends: dpkg (>= 1.15.4) | install-info
Description: Reference documentation for Guile 1.8 (non-DFSG items)
 This package contains the Guile documentation that is not compliant
 with the Debian Free Software Guidelines.  In particular, this
 includes the reference manual, which is covered under the GFDL and
 specifies invariant sections (front and back cover texts).  See
 http://www.debian.org/vote/2006/vote_001 for more information.
 .
 This package also includes the GOOPS documentation which is covered
 under a license which only allows verbatim copying.
 .
 Guile is a Scheme implementation designed for real world programming,
 providing a rich Unix interface, a module system, an interpreter, and
 many extension languages.  Guile can be used as a standard #! style
 interpreter, via #!/usr/bin/guile, or as an extension language for
 other applications via libguile.
